summaryrefslogtreecommitdiffstats
path: root/source/ap/mpg123/mpg123.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/mpg123/mpg123.SlackBuild')
-rwxr-xr-xsource/ap/mpg123/mpg123.SlackBuild6
1 files changed, 5 insertions, 1 deletions
diff --git a/source/ap/mpg123/mpg123.SlackBuild b/source/ap/mpg123/mpg123.SlackBuild
index 8111ee5f7..262184756 100755
--- a/source/ap/mpg123/mpg123.SlackBuild
+++ b/source/ap/mpg123/mpg123.SlackBuild
@@ -1,5 +1,5 @@
#!/bin/bash
-# Copyright 2006-2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006-2021 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -111,6 +111,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Search for modules in lib64 first, then lib. This should work on pure 64-bit,
+# pure 32-bit, and multilib.
+zcat $CWD/mpg123.lib64.diff.gz | patch -p1 --verbose || exit 1
+
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \